Bug 517455 - man db-control: SYNOPSIS is missing tablespaces
Summary: man db-control: SYNOPSIS is missing tablespaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 530
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2009-08-14 07:08 UTC by Jan Pazdziora
Modified: 2010-12-21 12:25 UTC (History)
4 users (show)

Fixed In Version: spacewalk-web-1.2.7-9
Doc Type: Bug Fix
Doc Text:
Previously, the synopsis of the manual page for the db-control utility did not include the description of the "tablesizes" command. With this update, this description has been added, and the synopsis now covers all available commands.
Clone Of: 467512
Environment:
Last Closed: 2010-12-21 12:25:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:1001 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-12-21 12:25:04 UTC

Description Jan Pazdziora 2009-08-14 07:08:48 UTC
+++ This bug was initially created as a clone of Bug #467512 +++

# su - oracle
-bash-3.2$ db-control
Available commands:
       backup     - Backup the RHN Oracle Instance
       examine    - Display information about an RHN Oracle Instance backup
       extend     - Increase the RHN Oracle Instance tablespace
       gather-stats - Gather statistics on RHN Oracle database objects
       help       - Display command summary
       report     - Show database space report
       report-stats - Show tables with stale or empty statistics
       restore    - Restore the RHN Oracle Instance from backup
       shrink-segments - Shrink RHN Oracle database segments
       start      - Start the RHN Oracle Instance
       status     - Show database status
       stop       - Stop the RHN Oracle Instance
       tablesizes - Show space report for each table
       verify     - Verify an RHN Oracle Instance backup
-bash-3.2$ 

So the db-control has 14 possible commands. The man page lists 14 options in the OPTIONS section.

However, the SYNOPSIS section only shows 13, with tablesizes missing.

Comment 1 Jan Pazdziora 2010-12-10 21:18:25 UTC
Taking.

Comment 2 Jan Pazdziora 2010-12-10 21:19:44 UTC
Fixed in Spacewalk master, de26a40ec4086b3e5cddb463ac60eaec7e0b3f22. Commit 7971549590d162a98e3de3e9ac54008edc5209bf is also kinda related.

Comment 3 Michael Mráka 2010-12-13 09:34:19 UTC
Cherry picked to SATELLITE-5.4 as
commit 719770b52c1512543254d85546b4dcf99c02ad6b
    Fixing POD formatting.
    
    Addressing
    POD ERRORS
           Hey! The above document had some coding errors, which are explained below:
               Around line 129:
               You forgot a ’=back’ before ’=head1’
    (cherry picked from commit 7971549590d162a98e3de3e9ac54008edc5209bf)
commit eb1b1e6cb43ebf43b3e584641742b48ac8bf2f3d
    517455 - adding tablesizes to SYNOPSIS section of db-control man page.
    (cherry picked from commit de26a40ec4086b3e5cddb463ac60eaec7e0b3f22)

Comment 7 Jiri Kastner 2010-12-14 15:12:49 UTC
verified on all platforms

Comment 8 Jaromir Hradilek 2010-12-16 10:43:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the synopsis of the manual page for the db-control utility did not include the description of the "tablesizes" command. With this update, this description has been added, and the synopsis now covers all available commands.

Comment 10 errata-xmlrpc 2010-12-21 12:25:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-1001.html


Note You need to log in before you can comment on or make changes to this bug.